@base <https://purl.org/coscine/ap/sfb1394/ImageAnalysis/> .

@prefix dash: <http://datashapes.org/dash#> .
@prefix rdf: <http://www.w3.org/1999/02/22-rdf-syntax-ns#> .
@prefix sh: <http://www.w3.org/ns/shacl#> .
@prefix xsd: <http://www.w3.org/2001/XMLSchema#> .
@prefix rdfs: <http://www.w3.org/2000/01/rdf-schema#> .
@prefix qudt: <http://qudt.org/schema/qudt/> .
@prefix unit: <http://qudt.org/vocab/unit/> .
@prefix csmd: <http://www.purl.org/net/CSMD/4.0#> .
@prefix dcterms: <http://purl.org/dc/terms/> .
@prefix sfb1394: <http://purl.org/coscine/terms/sfb1394#> .
@prefix coscineSfb1394ImageAnalysis: <https://purl.org/coscine/ap/sfb1394/ImageAnalysis#> .

 # ImageAnalysis 
<https://purl.org/coscine/ap/sfb1394/ImageAnalysis/>
  dcterms:license <http://spdx.org/licenses/MIT> ;
  dcterms:publisher <https://itc.rwth-aachen.de/> ;
  dcterms:rights "Copyright © 2020 IT Center, RWTH Aachen University" ;
  dcterms:title "SFB1394 ImageAnalysis"@en ;

  a sh:NodeShape ;
  sh:targetClass <https://purl.org/coscine/ap/sfb1394/ImageAnalysis/> ;
  sh:closed true ;

  sh:property [
    sh:path rdf:type ;
  ] ;

  sh:property coscineSfb1394ImageAnalysis:ID ;
  sh:property coscineSfb1394ImageAnalysis:aliasID ;
  sh:property coscineSfb1394ImageAnalysis:user ;
  sh:property coscineSfb1394ImageAnalysis:date ;
  sh:property coscineSfb1394ImageAnalysis:affiliation ;
  sh:property coscineSfb1394ImageAnalysis:dois ;
  sh:property coscineSfb1394ImageAnalysis:softwareIds ;
  sh:property coscineSfb1394ImageAnalysis:softwareEnvironmentId ;
  sh:property coscineSfb1394ImageAnalysis:pythonFunction ;
  sh:property coscineSfb1394ImageAnalysis:pythonModule ;
  sh:property coscineSfb1394ImageAnalysis:parameters ;
  sh:property coscineSfb1394ImageAnalysis:inputImages ;
  sh:property coscineSfb1394ImageAnalysis:minimizationAlgorithm ;
  sh:property coscineSfb1394ImageAnalysis:maximumNumberOfIterations ;
  sh:property coscineSfb1394ImageAnalysis:stoppingCriterion ;
  sh:property coscineSfb1394ImageAnalysis:regularizerCoefficients ;
  sh:property coscineSfb1394ImageAnalysis:numberOfSegments ;
  sh:property coscineSfb1394ImageAnalysis:featureExtractor ;
  sh:property coscineSfb1394ImageAnalysis:featureSize ;
  sh:property coscineSfb1394ImageAnalysis:defectType ;
  sh:property coscineSfb1394ImageAnalysis:unitCellVectors ;
  sh:property coscineSfb1394ImageAnalysis:imageWidth ;
  sh:property coscineSfb1394ImageAnalysis:imageHeight ;
  sh:property coscineSfb1394ImageAnalysis:codesUsed ;
  sh:property coscineSfb1394ImageAnalysis:computerName ;
  sh:property coscineSfb1394ImageAnalysis:node ;
  sh:property coscineSfb1394ImageAnalysis:cpuInfo ;
  sh:property coscineSfb1394ImageAnalysis:gpuInfo ;
  sh:property coscineSfb1394ImageAnalysis:cores ;
  sh:property coscineSfb1394ImageAnalysis:requiredRam ;
  sh:property coscineSfb1394ImageAnalysis:runtime ;
  sh:property coscineSfb1394ImageAnalysis:submissionTime ;
  sh:property coscineSfb1394ImageAnalysis:stopTime ;
  sh:property coscineSfb1394ImageAnalysis:comments ;
.

coscineSfb1394ImageAnalysis:ID 
  sh:path dcterms:identifier ;
  sh:order 0 ;
  sh:minCount 1 ;
  sh:maxCount 1 ;
  sh:minLength 1 ;
  sh:datatype xsd:string ;
  sh:name "ID"@en, "ID"@de ;
. 

coscineSfb1394ImageAnalysis:aliasID 
  sh:path sfb1394:aliasID ;
  sh:order 1 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "External/alias ID"@en, "External/alias ID"@de ;
. 

coscineSfb1394ImageAnalysis:user 
  sh:path dcterms:creator ;
  sh:order 2 ;
  sh:minCount 1 ;
  sh:maxCount 1 ;
  sh:minLength 1 ;
  sh:datatype xsd:string ;
  sh:defaultValue "{ME}" ;
  sh:name "User"@en, "User"@de ;
. 

coscineSfb1394ImageAnalysis:date 
  sh:path dcterms:created ;
  sh:order 3 ;
  sh:minCount 1 ;
  sh:maxCount 1 ;
  sh:datatype xsd:date ;
  sh:defaultValue "{TODAY}" ;
  sh:name "Date"@en, "Date"@de ;
. 

coscineSfb1394ImageAnalysis:affiliation 
  sh:path sfb1394:affiliation ;
  sh:order 4 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "Affiliation"@en, "Affiliation"@de ;
. 

coscineSfb1394ImageAnalysis:dois 
  sh:path dcterms:isReferencedBy ;
  sh:order 5 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  dash:singleLine false ;
  sh:name "DOIs"@en, "DOIs"@de ;
. 

coscineSfb1394ImageAnalysis:softwareIds 
  sh:path sfb1394:softwareIds ;
  sh:order 6 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "Software IDs"@en, "Software IDs"@de ;
. 

coscineSfb1394ImageAnalysis:softwareEnvironmentId 
  sh:path sfb1394:softwareEnvironmentId ;
  sh:order 7 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "Software environment ID"@en, "Software environment ID"@de ;
. 

coscineSfb1394ImageAnalysis:pythonFunction 
  sh:path sfb1394:pythonFunction ;
  sh:order 8 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "Python function"@en, "Python function"@de ;
. 

coscineSfb1394ImageAnalysis:pythonModule 
  sh:path sfb1394:pythonModule ;
  sh:order 9 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "Python module"@en, "Python module"@de ;
. 

coscineSfb1394ImageAnalysis:parameters 
  sh:path sfb1394:parameters ;
  sh:order 10 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  dash:singleLine false ;
  sh:name "Parameters"@en, "Parameters"@de ;
. 

coscineSfb1394ImageAnalysis:inputImages 
  sh:path sfb1394:inputImages ;
  sh:order 11 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "Input image(s)"@en, "Input image(s)"@de ;
. 

coscineSfb1394ImageAnalysis:minimizationAlgorithm 
  sh:path sfb1394:minimizationAlgorithm ;
  sh:order 12 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "Minimization algorithm"@en, "Minimization algorithm"@de ;
. 

coscineSfb1394ImageAnalysis:maximumNumberOfIterations 
  sh:path sfb1394:maximumNumberOfIterations ;
  sh:order 13 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "Maximum number of iterations"@en, "Maximum number of iterations"@de ;
. 

coscineSfb1394ImageAnalysis:stoppingCriterion 
  sh:path sfb1394:stoppingCriterion ;
  sh:order 14 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "Stopping criterion"@en, "Stopping criterion"@de ;
. 

coscineSfb1394ImageAnalysis:regularizerCoefficients 
  sh:path sfb1394:regularizerCoefficients ;
  sh:order 15 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  dash:singleLine false ;
  sh:name "Regularizer coefficient(s)"@en, "Regularizer coefficient(s)"@de ;
. 

coscineSfb1394ImageAnalysis:numberOfSegments 
  sh:path sfb1394:numberOfSegments ;
  sh:order 16 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "Number of segments"@en, "Number of segments"@de ;
. 

coscineSfb1394ImageAnalysis:featureExtractor 
  sh:path sfb1394:featureExtractor ;
  sh:order 17 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "Feature extractor"@en, "Feature extractor"@de ;
. 

coscineSfb1394ImageAnalysis:featureSize 
  sh:path sfb1394:featureSize ;
  sh:order 18 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "Feature size"@en, "Feature size"@de ;
. 

coscineSfb1394ImageAnalysis:defectType 
  sh:path sfb1394:defectType ;
  sh:order 19 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "Defect type"@en, "Defect type"@de ;
. 

coscineSfb1394ImageAnalysis:unitCellVectors 
  sh:path sfb1394:unitCellVectors ;
  sh:order 20 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "Unit cell vectors [nm]"@en, "Unit cell vectors [nm]"@de ;
  qudt:Unit unit:NanoM ;
. 

coscineSfb1394ImageAnalysis:imageWidth 
  sh:path sfb1394:imageWidth ;
  sh:order 21 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "Image width [nm]"@en, "Image width [nm]"@de ;
  qudt:Unit unit:NanoM ;
. 

coscineSfb1394ImageAnalysis:imageHeight 
  sh:path sfb1394:imageHeight ;
  sh:order 22 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "Image height [nm]"@en, "Image height [nm]"@de ;
  qudt:Unit unit:NanoM ;
. 

coscineSfb1394ImageAnalysis:codesUsed 
  sh:path sfb1394:codesUsed ;
  sh:order 23 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "Codes used"@en, "Codes used"@de ;
. 

coscineSfb1394ImageAnalysis:computerName 
  sh:path sfb1394:computerName ;
  sh:order 24 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "Computer name"@en, "Computer name"@de ;
. 

coscineSfb1394ImageAnalysis:node 
  sh:path sfb1394:node ;
  sh:order 25 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "Node"@en, "Node"@de ;
. 

coscineSfb1394ImageAnalysis:cpuInfo 
  sh:path sfb1394:cpuInfo ;
  sh:order 26 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "CPU info"@en, "CPU info"@de ;
. 

coscineSfb1394ImageAnalysis:gpuInfo 
  sh:path sfb1394:gpuInfo ;
  sh:order 27 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "GPU info"@en, "GPU info"@de ;
. 

coscineSfb1394ImageAnalysis:cores 
  sh:path sfb1394:cores ;
  sh:order 28 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "Cores"@en, "Cores"@de ;
. 

coscineSfb1394ImageAnalysis:requiredRam 
  sh:path sfb1394:requiredRam ;
  sh:order 29 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "Required RAM [GB]"@en, "Required RAM [GB]"@de ;
  qudt:Unit unit:GigaBYTE ;
. 

coscineSfb1394ImageAnalysis:runtime 
  sh:path sfb1394:runtime ;
  sh:order 30 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "Runtime [h]"@en, "Runtime [h]"@de ;
  qudt:Unit unit:HR ;
. 

coscineSfb1394ImageAnalysis:submissionTime 
  sh:path sfb1394:submissionTime ;
  sh:order 31 ;
  sh:maxCount 1 ;
  sh:datatype xsd:date ;
  sh:name "Submission time"@en, "Submission time"@de ;
. 

coscineSfb1394ImageAnalysis:stopTime 
  sh:path sfb1394:stopTime ;
  sh:order 32 ;
  sh:maxCount 1 ;
  sh:datatype xsd:date ;
  sh:name "Stop time"@en, "Stop time"@de ;
. 

coscineSfb1394ImageAnalysis:comments 
  sh:path sfb1394:comments ;
  sh:order 33 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  dash:singleLine false ;
  sh:name "Comments"@en, "Comments"@de ;
. 
